package com.ylx.massage.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ylx.common.core.domain.model.WxLoginUser;
import com.ylx.massage.domain.vo.BankVo;
import org.apache.ibatis.annotations.Param;
import com.ylx.massage.domain.TBankUser;

/**
 * 银行卡号(TBankUser)表数据库访问层
 *
 * @author makejava
 * @since 2024-12-31 09:58:19
 */
public interface TBankUserMapper extends BaseMapper<TBankUser> {

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<TBankUser> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<TBankUser> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<TBankUser> 实例对象列表
     * @return 影响行数
     * @throws org.springframework.jdbc.BadSqlGrammarException 入参是空List的时候会抛SQL语句错误的异常，请自行校验入参
     */
    int insertOrUpdateBatch(@Param("entities") List<TBankUser> entities);

    List<BankVo> myBank(String cOpenid);

    int deleteBank(String id);
}

